Loading...
Searching...
No Matches
novas_planet_bundle Struct Reference

Position and velocity data for a set of major planets (which may include the Sun and the Moon also). More...

`#include <novas.h>`

## Public Attributes

int | mask
| Bitwise mask (1 << planet-number) specifying which planets have pos/vel data.
double | pos [NOVAS_PLANETS][3]
| [AU] Apparent positions of planets w.r.t. observer antedated for light-time
double | vel [NOVAS_PLANETS][3]
| [AU/day] Apparent velocity of planets w.r.t. barycenter antedated for light-time

## Detailed Description

Position and velocity data for a set of major planets (which may include the Sun and the Moon also).

Since
  1.1

See also
  enum novas_planet, NOVAS_PLANET_BUNDLE_INIT, grav_planets()

## Member Data Documentation

## mask

int novas_planet_bundle::mask

Bitwise mask (1 << planet-number) specifying which planets have pos/vel data.

Referenced by novas_equals_planet_bundle().

## pos

double novas_planet_bundle::pos[NOVAS_PLANETS][3]

[AU] Apparent positions of planets w.r.t. observer antedated for light-time

Referenced by novas_equals_planet_bundle().

## vel

double novas_planet_bundle::vel[NOVAS_PLANETS][3]

[AU/day] Apparent velocity of planets w.r.t. barycenter antedated for light-time

Referenced by novas_equals_planet_bundle().